### Function

# Gio AppInfoMonitor get

since: 2.40

#### Declaration [src]

    GAppInfoMonitor*
    g_app_info_monitor_get (
      void
    )

#### Description [src]

Gets the `GAppInfoMonitor` for the current thread-default main context.

The `GAppInfoMonitor` will emit a “changed” signal in the thread-default main context whenever the list of installed applications (as reported by g_app_info_get_all()) may have changed.

The `GAppInfoMonitor::changed` signal will only be emitted once until `g_app_info_get_all()` (or another `g_app_info_*()` function) is called. Doing so will re-arm the signal ready to notify about the next change.

You must only call `g_object_unref()` on the return value from under the same main context as you created it.

Available since: 2.40

#### Return value

Type: `GAppInfoMonitor`

A reference to a `GAppInfoMonitor`.

The caller of the function takes ownership of the data, and is responsible for freeing it.